=== debian/changelog ===
cura (5.0.0-6) unstable; urgency=medium

  * Actually depend on python3-trimesh.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Feb 2025 10:21:32 +0100

cura (5.0.0-5) unstable; urgency=medium

  * Add forwarded information to patches
  * Depend on python3-trimesh, it is in sid now.
    Closes: #950919
  * Fix unit test assert errors with Python 3.12
    Closes: #1076871
  * Fix "KeyError: material_name"
    Closes: #1085090

 -- Gregor Riepl <onitake@gmail.com>  Tue, 04 Feb 2025 22:47:13 +0100

cura (5.0.0-3) unstable; urgency=medium

  * Get Python3 version to compile against from py3versions -vd.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jul 2023 19:15:05 +0000

cura (5.0.0-2) unstable; urgency=medium

  * Depend on python3-charon (>= 5.0).

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:59:57 +0000

cura (5.0.0-1) experimental; urgency=medium

  [ Sebastian Kuzminsky ]
  * New upstream version 5.0.0.
  * Refresh patches.
  * Bump runtime dependencies from qt5 to qt6.
  * Bump versioned dependencies on Ultimaker packages.
  * Add build dependencies needed for tests.
  * Bump build dependency versions for the tests.
  * pq: add patches to delete failing tests.
  * Don't depend on python3-pyqt6.qtopengl, that's in python3-pyqt6 now.

  [ Christoph Berg ]
  * Add dependency on qml6-module-qt-labs-folderlistmodel.

 -- Christoph Berg <myon@debian.org>  Fri, 27 May 2022 17:16:13 +0200
