=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>,
           Christoph Berg <myon@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 12),
               dh-python,
               gettext,
               mypy,
               python3,
               python3-arcus (>= 5.0),
               python3-certifi,
               python3-cryptography,
               python3-keyring,
               python3-pyclipper,
               python3-pytest,
               python3-requests,
               python3-savitar (>= 5.0),
               python3-shapely,
               python3-pynest2d (>= 5.0),
               python3-pyqt6,
               python3-pyqt6.qtquick,
               python3-pyqt6.qtsvg,
               python3-uranium (>= 5.0),
               uranium-tools (>= 5.0),
Standards-Version: 4.5.0
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://salsa.debian.org/3dprinting-team/cura
Vcs-Git: https://salsa.debian.org/3dprinting-team/cura.git

Package: cura
Architecture: all
Depends: cura-engine (>= 1:5.0), cura-engine (<< 1:5.1),
         fonts-open-sans,
         python3-certifi,
         python3-charon (>= 5.0),
         python3-cryptography,
         python3-keyring,
         python3-pyqt6,
         python3-requests,
         python3-savitar (>= 5.0),
         python3-sentry-sdk,
         python3-serial,
         python3-shapely,
         python3-trimesh,
         python3-pynest2d (>= 5.0),
         python3-uranium (>= 5.0),
         python3-zeroconf (>= 0.28),
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qml6-module-qtqml-workerscript,
         qml6-module-qt-labs-folderlistmodel,
         qt6-qpa-plugins,
         uranium-plugins (>= 5.0),
         fdm-materials (>= 5.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models (.stl and other formats) into printing
 instructions (G-code) for your 3D printer. It cuts the model into horizontal
 slices (layers), generates toolpaths to fill them and calculates the amount of
 material to be extruded.
 .
 Cura is easy to use for novices and provides over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provides a graphical user interface.  For batch mode, check out
 cura-engine.
