=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1

DEB_URANIUM_DIR ?= /usr/share/uranium

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DURANIUM_DIR=$(DEB_URANIUM_DIR) -DCURA_VERSION=$(DEB_VERSION_UPSTREAM) \
		-DPython_VERSION=$(shell py3versions -vd)

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

override_dh_auto_test:
	mkdir -p debian/home/.local/share/UM
	HOME=$(CURDIR)/debian/home dh_auto_test
